Subject: bug#805 closed by Jason Rumney <[email-masked]> (Re: bug#716: Bug in buffer-swap-text)

From: [email-masked] (Emacs bug Tracking System)
Date: Wed, 24 Dec 2008 11:30:05 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,w32 package:

#716: Emacs crashes on Windows when visiting .tar.gz files

It has been closed by Jason Rumney <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jason Rumney <[email-masked]> by
replying to this email.

-- 
716: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=716
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#716: Bug in buffer-swap-text
From: Jason Rumney <[email-masked]>
To: [email-masked]
Date: Wed, 24 Dec 2008 19:20:30 +0800

Stefan Monnier wrote:
> Thanks.  After your email, I thought we could just change
> r_alloc_reset_variable to take 2 arguments: the old ptr and the
> new ptr.  This way, you get more consistency checking.
>   

I've checked in a change that does this.

>From [email-masked] Wed Aug 27 13:36:08 2008
From: Glenn Morris <[email-masked]>
To: quiet <[email-masked]>
Subject: Emacs crashes on Windows when visiting .tar.gz files
Date: Wed, 27 Aug 2008 16:34:35 -0400

Package: emacs,w32

(Filing a report for old item from FOR-RELEASE.)

http://lists.gnu.org/archive/html/emacs-devel/2008-06/msg01850.html

Initial report:

    Steps to reproduce:
    1. Create a small tar file with 2 or 3 files in it
    2. emacs -q
    3. M-x load-library tar-mode
    4. Open the tar file
    You see the crash (with earlier posted stack trace)

    I saw another crash with the following steps:
    1. Repeat #1, #2 from the previous scenario
    2. Open the tar file, you will see the file listing
    3. Position the cursor on one of the listed files and hit enter (open
    the file in the archive)
    You see a crash. Stack trace follows for 2nd scenario: